Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005165 [JEDI VCL] 00 JVCL Components crash always 2010-02-10 16:00 2011-06-10 16:09
Reporter wilstyx View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.38
Summary 0005165: Access Violation JVID3V2Demo.exe
Description Double clicking on ListView Gives 'Access Error At Address 0048709B in module JVID3V2DEMO.EXE Write of address 05E10B10' When it is executed from the Examples
makeall in the bin directory. When I compile and run it from my delphi the
Error Address is 048353B and the write address is 05CC6BCO

The problem seems to be with the Strings.Add(s) or List.Add(s) at these locations

Errors are in the JVID3V2Base.pas
-----------------------------------------------------------------------
procedure ExtractStrings(Separator: WideChar; const Content: WideString;
  Strings: {$IFDEF COMPILER12_UP}TStrings{$ELSE}JclUnicode.TWideStrings{$ENDIF COMPILER12_UP});
.....
Strings.Add(S); {<<<<< Access Error}

-----------------------------------------------------------------------

and
_______________________________________________________________________
procedure TJvID3SimpleListFrame.ReadFrame;
const
  cMinBytes: array [TJvID3Encoding] of Byte = (2, 4, 4, 2);
var
  S: WideString;
begin
  if IsNullSeparator then
  begin
    with Stream do
    begin
      ReadEncoding;
      while BytesTillEndOfFrame > cMinBytes[Encoding] do
      begin
        ReadStringEnc(S);
        List.Add(S); {<<<<< Access Error}
      end;
    end;
  end
  else
    inherited ReadFrame;
end;
___________________________________________________________________________

I looked for any similar problems but could not find any


Additional Information Using Delphi BDS 2006 Registered Professional Version 10.0.2558.35231 Update 2 with all current hotfixes. Windows XP Service Pack 3. Memory 1,047,280 KB.
  
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0017263)
obones (administrator)
2010-03-08 16:40

I'm seeing it as well (BDS2006) but I don't understand why FList from TJvID3SimpleListFrame is an invalid value
(0017294)
obones (administrator)
2010-03-09 14:23

This is now fixed in SVN

- Issue History
Date Modified Username Field Change
2010-02-10 16:00 wilstyx New Issue
2010-03-08 16:40 obones Note Added: 0017263
2010-03-08 16:40 obones Status new => confirmed
2010-03-09 14:23 obones Note Added: 0017294
2010-03-09 14:23 obones Assigned To => obones
2010-03-09 14:23 obones Status confirmed => resolved
2010-03-09 14:23 obones Resolution open => fixed
2010-03-09 14:23 obones Fixed in Version => Daily / SVN
2010-03-09 14:23 obones Target Version => 3.40 - not yet released
2011-06-10 16:09 obones Fixed in Version Daily / SVN => 3.40


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker